#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           klines
Epoch:          1
Version: 24.05.1
Release:        %mkrel %{rel}
Summary:        Place 5 equal pieces together, but wait, there are 3 new ones
License:        GPLv2 and LGPLv2 and GFDL
Group:          Games/Boards
URL:            https://apps.kde.org/klines/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(KDEGames6)

Recommends:     klines-handbook


%description
KLines is a simple but highly addictive one player game.

The player has to move the colored balls around the game board, gathering them
into the lines of the same color by five. Once the line is complete it is
removed from the board, therefore freeing precious space. In the same time the
new balls keep arriving by three after each move, filling up the game board.

%files -f %name.lang
%_kf6_categoriesdir/klines.categories
%_kf6_bindir/klines
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/klines/
%_kf6_iconsdir/hicolor/*/apps/klines.png
%_kf6_datadir/config.kcfg/klines.kcfg
%_kf6_metainfodir/org.kde.klines.appdata.xml

#------------------------------------------------------------------------------

%package -n klines-handbook
Summary:        klines handbook
Group:          Documentation
BuildArch:      noarch
Requires:       klines >= %{epoch}:%{version}-%{release}

%description -n klines-handbook
This package provides the klines handbook.

%files -n klines-handbook
%_kf6_docdir/HTML/*/klines

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name


%changelog
* Fri Jun 14 2024 daviddavid <daviddavid> 1:24.05.1-1.mga10
+ Revision: 2073231
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 1:24.05.0-1.mga10
+ Revision: 2069878
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 1:24.02.2-1.mga10
+ Revision: 2058636
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 1:24.02.0-1.mga10
+ Revision: 2045175
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 1:24.01.95-1.mga10
+ Revision: 2037673
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 1:24.01.90-1.mga10
+ Revision: 2033800
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 1:24.01.85-1.mga10
+ Revision: 2025173
- New version 24.01.85

* Tue Nov 21 2023 neoclust <neoclust> 1:24.01.75-1.mga10
+ Revision: 2008881
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 1:23.08.1-1.mga10
+ Revision: 1989619
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 1:23.04.1-1.mga9
+ Revision: 1958196
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 1:22.12.3-1.mga9
+ Revision: 1946508
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 1:22.12.2-1.mga9
+ Revision: 1941801
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 1:22.12.0-1.mga9
+ Revision: 1922922
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 1:22.11.90-1.mga9
+ Revision: 1911416
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 1:22.08.3-1.mga9
+ Revision: 1905268
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 1:22.08.1-1.mga9
+ Revision: 1886787
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 1:22.08.0-1.mga9
+ Revision: 1880773
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 1:22.04.3-1.mga9
+ Revision: 1873083
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 1:22.04.0-1.mga9
+ Revision: 1853976
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 1:22.03.90-1.mga9
+ Revision: 1849482
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 1:21.12.0-1.mga9
+ Revision: 1763867
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 1:21.04.1-1.mga9
+ Revision: 1724075
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 1:21.04.0-1.mga9
+ Revision: 1718362
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 1:20.12.3-2.mga9
+ Revision: 1698560
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 1:20.12.2-1.mga9
+ Revision: 1694090
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 1:20.12.0-1.mga8
+ Revision: 1655621
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 1:20.08.3-1.mga8
+ Revision: 1644007
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 1:20.08.2-1.mga8
+ Revision: 1633823
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 1:20.08.1-1.mga8
+ Revision: 1627065
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 1:20.08.0-1.mga8
+ Revision: 1614934
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 1:20.04.3-1.mga8
+ Revision: 1604130
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 1:20.04.2-1.mga8
+ Revision: 1596863
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 1:20.04.1-1.mga8
+ Revision: 1585488
- New version 20.04.1

* Sat Apr 18 2020 neoclust <neoclust> 1:20.04.0-1.mga8
+ Revision: 1569246
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 1:19.12.3-1.mga8
+ Revision: 1559333
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 1:19.12.2-2.mga8
+ Revision: 1540610
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 1:19.12.2-1.mga8
+ Revision: 1513303
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 1:19.12.0-1.mga8
+ Revision: 1466958
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 1:19.08.3-1.mga8
+ Revision: 1457907
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 1:19.08.1-1.mga8
+ Revision: 1446418
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 1:19.04.3-1.mga8
+ Revision: 1425001
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 1:19.04.0-1.mga7
+ Revision: 1390456
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 1:19.03.90-1.mga7
+ Revision: 1387663
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 1:18.12.3-2.mga7
+ Revision: 1382601
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 1:18.12.3-1.mga7
+ Revision: 1375622
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 1:18.12.2-1.mga7
+ Revision: 1365579
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 1:18.12.1-1.mga7
+ Revision: 1356514
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 1:18.12.0-1.mga7
+ Revision: 1339522
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 1:18.08.3-1.mga7
+ Revision: 1332752
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 1:18.08.2-1.mga7
+ Revision: 1327406
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 1:18.04.1-2.mga7
+ Revision: 1298578
- Mageia 7 Mass Rebuild

* Fri Jun 29 2018 neoclust <neoclust> 1:18.04.1-1.mga7
+ Revision: 1240704
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 1:17.12.2-1.mga7
+ Revision: 1201903
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 1:17.12.1-1.mga7
+ Revision: 1194925
- New version 17.12.1

* Tue Jan 02 2018 neoclust <neoclust> 1:17.12.0-1.mga7
+ Revision: 1189246
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 1:17.08.0-1.mga7
+ Revision: 1143053
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 1:17.07.90-1.mga7
+ Revision: 1136787
- New version 17.07.90

* Tue Jul 25 2017 neoclust <neoclust> 1:17.04.3-1.mga7
+ Revision: 1130852
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090083
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076823
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1072027
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067346
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061405
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050671
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047311
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040072
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012558
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004348
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 994904
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991194
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987463
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922632
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 911947
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 905405
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901141
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 1:15.08.2-1.mga6
+ Revision: 890622
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880434
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 1:15.08.0-1.mga6
+ Revision: 865952
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 1:15.07.90-2.mga6
+ Revision: 863683
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 1:15.07.90-1.mga6
+ Revision: 861765
- New version 15.07.90

* Thu Jul 30 2015 neoclust <neoclust> 1:15.07.80-1.mga6
+ Revision: 859244
- New version 15.07.80

* Fri Jul 24 2015 neoclust <neoclust> 1:15.04.3-1.mga6
+ Revision: 856718
- New version 15.04.3

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800612
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787698
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 742893
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734560
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 681109
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667497
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663009
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656687
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653873
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 651979
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636747
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625514
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615591
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609407
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606848
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603355
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600690
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590476
- New version 4.12.2
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555007
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551275
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540201
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490758
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476848
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465196
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458925
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455311
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 447961
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435320
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428432
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407243
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401894
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394414
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 356294
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339500
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334575
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326777
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319330
- imported package klines

